Linux Lite 7.8 Final has been released - Click here


Welcome, Guest
You have to register before you can post on our site.

Username/Email:
  

Password
  





Search Forums

(Advanced Search)

Forum Statistics
» Members: 8,001
» Latest member: midcitiespsychiatry
» Forum threads: 9,474
» Forum posts: 62,486

Full Statistics

Online Users
There are currently 1940 online users.
» 0 Member(s) | 1935 Guest(s)
Applebot, Baidu, Bing, Google, Yandex

Latest Threads
update_failed - 400 Bad R...
Forum: Updates
Last Post: val
24 minutes ago
» Replies: 2
» Views: 39
Problem updating lite 7.6...
Forum: Updates
Last Post: val
39 minutes ago
» Replies: 6
» Views: 2,768
Problem updating LL6.2 - ...
Forum: Updates
Last Post: stevef
04-16-2026, 11:31 PM
» Replies: 1
» Views: 83
Project Litening
Forum: Linux Lite Software Development
Last Post: valtam
04-15-2026, 11:33 AM
» Replies: 16
» Views: 1,349
Website forum links not w...
Forum: Suggestions and Feedback
Last Post: valtam
04-06-2026, 12:32 AM
» Replies: 5
» Views: 410
time synchronization
Forum: Other
Last Post: LL-user
04-03-2026, 03:13 PM
» Replies: 5
» Views: 1,645
Permissions on a secondar...
Forum: Other
Last Post: stevef
04-02-2026, 06:26 AM
» Replies: 9
» Views: 711
Some windows fail to rend...
Forum: Video Cards
Last Post: Crimson Plasma
03-31-2026, 04:19 PM
» Replies: 4
» Views: 460
Linux Lite 7.8 Final Rele...
Forum: Release Announcements
Last Post: Wirezfree
03-29-2026, 10:21 PM
» Replies: 16
» Views: 31,426
Accidentally Deleted fold...
Forum: Hard Drives and SSDs
Last Post: trinidad
03-13-2026, 11:38 PM
» Replies: 3
» Views: 402

 
  Hello Everyone
Posted by: JohnDoeIII504 - 11-10-2017, 01:28 AM - Forum: Introductions - Replies (10)

Hi yall,

I'm JohnDoeIII504 from the greater New Orleans, LA currently residing in southwestern Colorado.  I'm new to the Linux Lite OS, but not new to Linux.  I've taught myself Ubuntu and Fedora over the years, but I always wanted something more "Windows like" for the transition.  That is why I am glad I found Linux Lite.  I've just recently switched to Linux full time on my primary PC and so far I'm digging it.  If yall have any questions, feel free to ask.  Yall have a nice day Smile.

Print this item

  Installing over Xubuntu
Posted by: Cedarviola - 11-09-2017, 09:43 PM - Forum: On Topic - Replies (6)

Hi, looking for advice,

I have an older Dell with Xubuntu (Ubuntu 14.04.1 LTS), Qt Creator, other utilities and numerous project files.

I would like to clobber, overwrite the existing OS in favor of LL -- AND I want to preserve the projects, Qt etc.

The installation options are a little unclear to me -- The first option says "Erase Ubuntu 14.04.1 LTS and reinstall". Then there is the option to "Erase disk and install Linux". Both options come with stern warnings about programs and files being deleted.

I've only before used this second option on a different system, which was what I wanted -- clobbering W10 once and for all.

And if I install side-by-side, will Qt still be available from LL? Or should I just backup the projects and install LL afresh?

Jim

Print this item

  Are they false ?
Posted by: bitsnpcs - 11-09-2017, 03:30 PM - Forum: Security & Bug Fixes - Replies (33)

[Image: 1screenshot.png]

[Image: 2screenshot.png]

[Image: 3screenshot.png]

[Image: 4screenshot.png]

[Image: 5screenshot.png]

[Image: 6screenshot.png]

[Image: 7screenshot.png]

On the forum it is a keylogger used at me, so I begin to look in distro, this is results, I wonder if it is related to this, is false results from both software used, or is another problem /attack altogether ?

Print this item

  New to Linux, this is what is stopping me from using it
Posted by: LinuxTest - 11-09-2017, 12:07 PM - Forum: Suggestions and Feedback - Replies (8)

I wanted to switch to linux a couple of days ago ( from win 7 ) but I could not set some things up.

In win 7 I am using "set custom text size (DPI) of 150%

It works great. Everything is larger, desktop, browser and all text is bigger etc.

I can not find that option here. I also tried a version of Linux Mint cinnamon that has it but the max ( 200% ) is too big and "normal" is too small.

I tried changing the font size and it helps but it is not good enough.

Is there any way to change text DPI in Linux Lite ( or any other linux ) ?

p.s. i do not want to change my resolution.


2. In win 7 I am using autohotkey for some keyboard shortcuts.

I see linux has built in option  for some shortcuts but I can not set what i want.

I want to set:

-  key "end" as a mute key

-  key "pgdn" as "volume down"

-  "pgup" as "volume up"

Linux does not allow that " cant bind that because you can not use keyboard to type " ( some message like that )

Is there any way to achieve that? Some program similar to autohotkey or a way to change it in Linux it self?

That is it. If i could set those two things up I would switch to linux.

.............................................................................................

Some other things that are not so important:

a. I would like to install Pot player instead of VCL

b. I would like to use a custom mouse pointer. I wonder if I could use same custom mouse pointer I use in win 7.

c. In win 7 there is a "restore system image" option so I can just return the whole system to the version where everything worked fine.

I assume there is something like that in linux also.

p.s. Where could I find the image that shows when linux lite is loading? The Yellow background with the feather

[Image: booup-splash-3x-series.jpg]

But it looked better then that one and was not darker at the bottom.

If anything I would like to use that as a desktop background image.

Print this item

  Hello hello hello!
Posted by: Name - 11-09-2017, 05:15 AM - Forum: Introductions - Replies (5)

Hello wonderful people!
Welcome me!  8)
I'm new here! I'm in introductions am I not?!??

Also I am downloading Linux Lite as I'm typing this and know that I'll be needing some help soon regarding my pesky AMD graphics driver install. I pray to God that I won't have to, but just in-case. Will be giving Lite a try for the next 6-7 months or so and if I like it better than my current os then I might stick with it and upgrade to 3.8 than 4.0 versions with you fanboys and girls.

Current distro:
Lubuntu 17.04

Previously used distros:
Ubuntu, Xubuntu, Arch Linux
Also some experience with (Slitaz, Kali, Backtrack, Elementary OS) but didn't use for long. Licked it. Didn't taste so good.  :o  Tongue

Print this item

  Arch Linux 32 bit Support
Posted by: Jocklad - 11-08-2017, 02:38 PM - Forum: Off Topic - Replies (6)

Just got an email that Arch Linux 32 bit support ends today


Another nail in the Coffin for 32 bit Linux.

Print this item

  Best Overall Winner of Light Distros
Posted by: valtam - 11-08-2017, 05:58 AM - Forum: On Topic - Replies (12)

Matt Hartley writing for Datamation just named us "Best Overall Winner of Light Distros"

Source - https://www.datamation.com/open-source/b...stros.html

Print this item

  Install Updates - Yad version
Posted by: valtam - 11-08-2017, 02:20 AM - Forum: Linux Lite Software Development - Replies (25)

This an appeal to those who would like to take part in a trial of Install Updates - the Yad version.

- Make a back up copy of /usr/scripts/updates-gui
- Copy the following contents into updates-gui

Code:
#!/bin/bash
#-----------------------------------------------------------------------------------------
# Name: Linux Lite Updates
# Description: A GUI tool to easily install Updates in Linux Lite.
# Authors: Misko_2083, Jerry Bezencon, gerito1, Ralphy
# Website: https://www.linuxliteos.com
#-----------------------------------------------------------------------------------------

_APPNAME="Linux Lite Updates"                # Application name variable
_MYUPDUSER=$(whoami)
_ICON="/usr/share/icons/Faenza/apps/scalable/synaptic.svg"     # Linux Lite icon variable
_UPDATES=$(mktemp /tmp/updateslist.XXXXXX)   # Updates log variable
_DATE=$(date +"%A-%d-%B-%Y-%T")              # Date variable
_TMPU="/tmp/_updusr"
_PLAIN="/tmp/updateslist.txt"
_LLUPDATES="/var/log/llupdates.log"
if [ ! -f "$_TMPU" ]; then echo "$_MYUPDUSER" > "$_TMPU"; chmod 600 "$_TMPU"; fi
_SVUSER=$(cat "$_TMPU")

# function remove temp files
rm_temp_files() {
rm -f $_SVUSER
rm -f $_TMPU
rm -f $_UPDATES
rm -f $_PLAIN
rm -f /tmp/updateslist.*
}

# function view, save update log
view_save_log() {
  _ANS=$(yad --center --borders=15 --question --image=logviewer --text-info --width="780" --height="400" --window-icon="$_ICON" --title=" $_APPNAME - Error log" \
                --button=gtk-cancel:1 --button="Save":0 --filename="$_LLUPDATES" 2>/dev/null); _OPT=$(echo $?)

    if [[ "$_ANS" =~ "Copy to clipboard" ]]; then
      sudo -u ${SUDO_USER:-$_SVUSER} xclip -selection c "$_LLUPDATES"
      xhost local:$_SVUSER > /dev/null 2>&1
      export DISPLAY=:0
      _NTFYICON="/usr/share/icons/Faenza/places/48/distributor-logo-ubuntu.png"
      notify-send -i "$_NTFYICON" 'Updates Log copied to clipboard' "Go to www.linuxliteos.com/forums and paste the log into a new or existing thread." -t 10000
      xhost - >/dev/null 2>&1; rm_temp_files; exit 0
    fi
    case $_OPT in
       0) szSavePath=$(yad --center --image=logviewer --borders=15 --title="    Save Updates Log" --width="600" --height="400" --file-selection --filename="/home/$_SVUSER/llupdates.log" \
                              --window-icon="$_ICON" --file-filter='*.log' --file-filter='All files | *' --save --confirm-overwrite 2>/dev/null)
           if [ "$?" -eq "0" ]; then sudo -u ${SUDO_USER:-$_SVUSER} cp "$_LLUPDATES" "$szSavePath"; rm_temp_files; else rm_temp_files; exit 0 ; fi ;;
       1) rm_temp_files; exit 0 ;;
    esac
}

# Check Internet access
if eval "curl -sk google.com" >> /dev/null 2>&1; then :; else # Prompt ERROR internet connection check failed and exit
  yad --center --borders=15 --info --width="320" --height="120" --window-icon="$_ICON" --button=gtk-ok:1 --title="$_APPNAME" \
         --text="\n<b>Your computer is not connected to the Internet.</b> \n \nLinux Lite cannot check for Updates.\nPlease check your internet connection and try again.\n" --text-align center 2>/dev/null
  rm_temp_files; exit 0
fi

# Kill off any package managers that may be running
if [ "$(pidof synaptic)" ]; then killall -9 synaptic; fi
if [ ! -z "$(pgrep gdebi-gtk)" ]; then killall -9 gdebi-gtk; fi

# start dialog - Ask for elevation, else exit
if [ $EUID -ne 0 ]; then
  yad --center --borders=15 --image=system-software-install --question --width="320" --height="120" --window-icon="$_ICON" --button=gtk-cancel:1 --button="Continue":0 --title="$_APPNAME" \
       --text="\nLinux Lite will now fetch the Updates list.\n\nClick <b>Cancel</b> to exit now or <b>Continue</b> to proceed.\n" --text-align center 2>/dev/null
   case $? in
      0) pkexec "$0"; if [ "${PIPESTATUS[@]}" -eq "126" ]; then rm_temp_files; fi; exit 0 ;;
      1) rm_temp_files; exit 0 ;;
   esac
fi

if [ "$?" -eq "0" ];then
  # xclip check/ install
  if [ -z  "$(dpkg -l | grep -E '^ii' | grep xclip)" ]; then
    apt-get install xclip -y | yad --center --borders=15 --image=system-software-install --progress --pulsate --window-icon="$_ICON" --auto-close --no-cancel --width="320" --height="80" --title="$_APPNAME" \
                                       --text="Preparing... please wait...\n" --text-align center --no-buttons --skip-taskbar 2>/dev/null
  fi

# Repositories registered
_SLIST=$(grep '^deb ' -c /etc/apt/sources.list)
_SLISTD=$(grep -R --exclude="*.save" '^deb ' -c /etc/apt/sources.list.d/ | grep -c /)
APTUPDATE=$(($_SLIST + $_SLISTD)) # Total of repositories registered, this is approximated
apt-get update 2>&1 | tee "$_LLUPDATES" |
awk -v total=$APTUPDATE '/^Ign|^ Get/{count++;$1=""} FNR { if (total != 0){percentage=int (1000*count/total);print (percentage < 90?percentage:99),"\n#",substr($0, 0, 128) }; fflush(stdout)}' \
| yad --center --undecorated --borders=35 --progress --width="600" --text="Updating package lists...\n" --text-align center --window-icon="$_ICON" --title="Updating Software Sources - please wait..." --percentage="0" --no-buttons --skip-taskbar --pulsate --auto-close 2>/dev/null
    if [ "${PIPESTATUS[0]}" -ne "0" ]; then
        unset APTUPDATE; rm_temp_files; unset _UPDATES
        sed -i '1 i\===========================\
Install Updates Error Log\
===========================\
\
Install Updates could not fetch the package cache information lists.\
Go to https://www.linuxliteos.com/forums/ and paste the log below into\na new or existing thread for assistance.\n\
============ Log ===========\n' "$_LLUPDATES"
        sleep 4 | yad --center --borders=15 --image=error --progress --pulsate --window-icon="error" --auto-close --no-cancel --width="380" --height="80" --title="$_APPNAME - Error" \
                         --text="Errors occurred while fetching packages cache information lists.\n\n✔ Retrieving error log, please wait...\n" --no-buttons --skip-taskbar --text-align center 2>/dev/null
        view_save_log; exit 1
    fi
  unset APTUPDATE

  # Creates a list in /tmp/updateslist
  apt-get --just-print dist-upgrade 2>&1 | perl -ne 'if (/Inst\s([\w,\-,\d,\.,~,:,\+]+)\s\[([\w,\-,\d,\.,~,:,\+]+)\]\s\(([\w,\-,\d,\.,~,:,\+]+)\)? /i) {print "Name: $1 INSTALLED: $2 AVAILABLE: $3\n"}' |
  awk '{print NR,":\t"$0}' > $_PLAIN
  sed '
  s:$::
  ' $_PLAIN >> $_UPDATES


  # Check for available updates; if none then remove /tmp/updateslist.XXXXXX and display up-to-date dialog
      if [  -z "$(cat $_PLAIN)"  ]; then
        rm_temp_files; unset _UPDATES
        yad --center --borders=15 --image=gtk-info --info --window-icon="$_ICON"  --width="260" --height="60" --title="  $_APPNAME" \
               --text="\nYour system is up to date.\n"  --text-align center 2>/dev/null
        exit 0
      fi

# Erase existing available info
dpkg --clear-avail
else
  rm_temp_files; unset _UPDATES; exit 0
fi

# Call the yad dialog to show update list
yad --center --borders=15 --image=system-software-install --text-info --back=#eff1f4 --window-icon="$_ICON" --button=gtk-cancel:1 --button="Update Now":0 --title="  $_APPNAME" --width="760" --height="400" --fontname="Droid regular 10" --filename="$_UPDATES" 2>/dev/null
      if [ "$?" -eq "0" ];then
        # Continue script if no halt, remove tmp file and unset variables
        rm $_UPDATES; unset _UPDATES

#Begin upgrade
DEBIAN_FRONTEND=noninteractive apt-get -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" dist-upgrade -y  2>&1 | tee "$_LLUPDATES" |
awk ' BEGIN { FS=" "; total=1;end_download=0} /upgraded/ {total= $1 + $3;FS="[ :]" } /^Get:[[:digit:]]+/ {printf "#Downloading %s %s %s\n",$7,$(NF-1),$NF;print int(($2 - 1) * 100 / total);
fflush(stdout)} /^\(Reading / {if (end_download==0){print 100;fflush(stdout);end_download=1}} /^(Preparing|Unpacking|Selecting|Processing|Setting|Download)/ {print "#", substr($0, 0, 128); fflush(stdout)}' \
  | ( yad --center --undecorated --borders=35 --progress --width="600" --window-icon="$_ICON" --percentage="0" --auto-close --text="Downloading package(s)...\nThis may take a while.\n" --text-align center --no-buttons --skip-taskbar  2>/dev/null;
      yad --center --undecorated --borders=35 --progress --window-icon="$_ICON" --width="600" --text="Installing and configuring package(s)...\nThis may take a while.\n" --text-align center --no-buttons --skip-taskbar --pulsate --auto-close 2>/dev/null)

    if [ "${PIPESTATUS[0]}" -ne "0" ]; then
      sed -i '1 i\===========================\
Install Updates Error log\
===========================\
Install Updates could not successfully download and install available updates.\
Go to https://www.linuxliteos.com/forums/ and paste the log below into a new or existing thread for assistance.\n\
============ Log ===========\n' "$_LLUPDATES"
      sleep 4 | yad --center --borders=15 --image=error --progress --pulsate --window-icon="error" --auto-close --no-cancel --width="320" --height="80" --title="$_APPNAME - Error" \
                       --text="Errors occurred while updating. \n\n✔ Retrieving errors log. Please wait...\n" --text-align center --no-buttons --skip-taskbar 2>/dev/null
      view_save_log; exit 0
    fi

    # Halt updates script if user selects Cancel
    else
       rm_temp_files; unset _UPDATES
       yad --center --borders=15 --image=info --info --width="300" --button=gtk-ok:1 --timeout="6" --window-icon="$_ICON" --title="   $_APPNAME" --text="\nUpdates have been canceled.\n" --text-align center 2>/dev/null
       exit 0
    fi

# If Ubuntu base package has been upgraded during Install Updates, /usr/share/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
llverprnt=$(awk '{print}' /etc/llver)
checkdefplym="/usr/share/plymouth/themes/ubuntu-text/ubuntu-text.plymouth"

if grep -q 0x988592 "$checkdefplym"; then
  sed -i "s/^title=Ubuntu.*$/title=$llverprnt/g" /usr/share/plymouth/themes/ubuntu-text/ubuntu-text.plymouth ;
  sed -i "s/black=0x2c001e/black=0x000000/g" /usr/share/plymouth/themes/ubuntu-text/ubuntu-text.plymouth ;
  sed -i "s/white=0xffffff/white=0xffffff/g" /usr/share/plymouth/themes/ubuntu-text/ubuntu-text.plymouth ;
  sed -i "s/brown=0xff4012/brown=0xffff00/g" /usr/share/plymouth/themes/ubuntu-text/ubuntu-text.plymouth ;
  sed -i "s/blue=0x988592/blue=0x000000/g" /usr/share/plymouth/themes/ubuntu-text/ubuntu-text.plymouth && update-initramfs -u |
  yad --center --undecorated --borders=35 --progress --width=600 --auto-close --pulsate --text="Updating boot configuration please wait...\n" --text-align center --no-buttons --skip-taskbar
else
    echo " "
fi

    PROCEED=$(yad --center --borders=15 --question --image=logviewer --width="300" --height="80" --window-icon="$_ICON" --title="  $_APPNAME" --text-align center --window-icon="$_ICON" --button="No":1 --button="Yes":0 --text="\n$_APPNAME completed successfully.\n\nWould you like to view the\n$_APPNAME log?\n" 2>/dev/null ; echo $?)
    if [ ${PROCEED} -eq 1 ]; then rm_temp_files; :; else
      yad --center --borders=15 --question --image=logviewer --text-info --width="750" --height="400" --button="Close":1 --button="Save":0 --title="  $_APPNAME - Log" --filename="$_LLUPDATES" 2>/dev/null
        if [ $? -eq 0 ]; then
          # Save report
          szSavePath=$(yad --center --image=logviewer --borders=15 --width="600" --height="400" --window-icon="$_ICON" --title=" Save Updates log" --file-selection --filename=/home/$_SVUSER/llupdates-"${_DATE}".txt --file-filter='*.txt' \
                              --file-filter='All files | *' --save --confirm-overwrite 2>/dev/null)
          sudo -u ${SUDO_USER:-$_SVUSER} cp "$_LLUPDATES" "$szSavePath"; rm_temp_files; else rm_temp_files; :
        fi
    fi
    if [ -s /var/run/reboot-required ]; then
        yad --center --question --image=gtk-info --borders=15 --width="300" --height="100" --window-icon="$_ICON" --button="Continue using my computer:"1 --button="Restart Now":0 --title="  Linux Lite Updates" --text-align center \
               --text="These updates require the system to be restarted\nfor the changes to take effect.\n\nWould you like to restart now?\n" 2>/dev/null
        if [ "$?" -eq "0" ]; then reboot; else exit 0 ; fi
    fi

exit 0

[Image: GLZZJMw.png]

[Image: 2Cr2jhs.png]

[Image: ZUwdYzK.png]

[Image: JFyzxAw.png]

[Image: PFbrxtY.png]

[Image: YK7j3el.png]

[Image: Kv7MTxV.png]

[Image: wIIW4qn.png]

[Image: xnS50lu.png]

My thoughts:

- I think the progress windows look a lot nicer.
- Dialogues automatically adjust according to what text is inside aiding in readability.
- Yad allows for much more scripting options which translates to more features for our applications.

Trial will last as long as you are happy to run this version of Install Updates.

Looking forward to your feedback and opinion. Smile

Print this item

  Desktop Clock?
Posted by: eikelein - 11-07-2017, 08:22 PM - Forum: Other - Replies (3)

I want a nice analog clock face on my desktop. Call me old fashioned and you are spot on  Wink
In Synaptics Package Manager I found things like biuci-clock, fdclock and swisswatch. I especially like swisswatch because the example shown in Package Manager is exactly like what I would like.

I installed each of these but after successful installation I can not find either of those, not in the Application Finder, in the menus or by searching the .bin folder and not after restarting the system.

I am a relative newbie to Linux Lite and an almost total newbie to Linux in general.

Please, where do I go wrong, what am I missing or where has that question already been answered?

TIA
eikelein

Print this item

  download mangers for linux
Posted by: MohamedKhaled - 11-07-2017, 07:37 PM - Forum: Off Topic - Replies (7)

I cant find any downloader with proper integration extension and a multithreading support
...all the download managers are bad and don't have integration tools or are actually trial only ... can you mind telling me people what the download manager you are using ...(if any)

Print this item